<?php
/**
 * $Horde: vilma/domains/index.php,v 1.15 2005/01/03 14:35:41 jan Exp $
 *
 * Copyright 2003-2005 Marko Djukic <marko@oblo.com>
 *
 * See the enclosed file LICENSE for license information (BSD). If you did not
 * receive this file, see http://cvs.horde.org/co.php/vilma/LICENSE.
 */

@define('VILMA_BASE', dirname(__FILE__) . '/..');
require_once VILMA_BASE . '/lib/base.php';

/* Only admin should be using this. */
if (!Auth::isAdmin() && !Vilma::isDomainAdmin()) {
    Horde::authenticationFailureRedirect();
} elseif (Vilma::isDomainAdmin()) {
    require VILMA_BASE . '/users/index.php';
    exit;
}

$domains = $vilma->getDomains();
if (is_a($domains, 'PEAR_Error')) {
    $notification->push($domains, 'horde.error');
    $domains = array();
}
foreach ($domains as $id => $domain) {
    $url = Horde::applicationUrl('domains/edit.php');
    $domains[$id]['edit_url'] = Util::addParameter($url, 'domain_id', $domain['domain_id']);
    $url = Horde::applicationUrl('domains/delete.php');
    $domains[$id]['del_url'] = Util::addParameter($url, 'domain_id', $domain['domain_id']);
    $url = Horde::applicationUrl('users/index.php');
    $domains[$id]['view_url'] = Util::addParameter($url, 'domain_id', $domain['domain_id']);
}

/* Set up the template fields. */
$template->set('domains', $domains, true);
$template->set('menu', Vilma::getMenu('string'));
$template->set('notify', Util::bufferOutput(array($notification, 'notify'), array('listeners' => 'status')));

/* Set up the template action links. */
$actions = array();
$actions['new_url'] = Horde::applicationUrl('domains/edit.php');
$actions['new_text'] = _("New Domain");
$template->set('actions', $actions);

/* Set up the field list. */
$images = array('delete' => Horde::img('delete.png', _("Delete Domain"), '', $registry->getImageDir('horde')),
                'edit' => Horde::img('edit.png', _("Edit Domain"), '', $registry->getImageDir('horde')));
$template->set('images', $images);

/* Render the page. */
require VILMA_TEMPLATES . '/common-header.inc';
echo $template->fetch(VILMA_TEMPLATES . '/domains/index.html');
require $registry->get('templates', 'horde') . '/common-footer.inc';
