<?php
/**
 * Copyright 2004-2005 Cronosys, LLC <http://www.cronosys.com/>
 *
 * See the enclosed file LICENSE for license information (BSD). If you did not
 * receive this file, see http://cvs.horde.org/co.php/vilma/LICENSE.
 *
 * $Horde: vilma/lib/MailboxDriver/imap.php,v 1.2 2005/01/03 14:35:42 jan Exp $
 *
 * @author  Jason M. Felice <jfelice@cronosys.com>
 * @version $Revision: 1.2 $
 * @package Vilma
 */
class MailboxDriver_imap extends MailboxDriver {

    var $_imapAdmin = null;

    function _connect()
    {
        if (!is_null($this->_imapAdmin)) {
            return false;
        }

        require_once 'Horde/IMAP/Admin.php';
        $admin = &new IMAP_Admin($this->_params);
        if (is_a($admin, 'PEAR_Error')) {
            return $admin;
        }

        $this->_imapAdmin = $admin;
        return true;
    }

    function checkMailbox($user, $domain)
    {
        $res = $this->_connect();
        if (is_a($res, 'PEAR_Error')) {
            return $res;
        }

        if (!$this->_imapAdmin->mailboxExists($user . '@' . $domain)) {
            return PEAR::raiseError(sprintf(_("Mailbox '%s@%s' does not exist."), $user, $domain));
        }
    }

    function createMailbox($user, $domain)
    {
        $res = $this->_connect();
        if (is_a($res, 'PEAR_Error')) {
            return $res;
        }

        $mbox = $user . '@' . $domain;

        $res = $this->_imapAdmin->addMailbox($mbox);
        if (is_a($res, 'PEAR_Error')) {
            return $res;
        }

        return true;
    }

    function deleteMailbox($user, $domain)
    {
        $res = $this->_connect();
        if (is_a($res, 'PEAR_Error')) {
            return $res;
        }

        $res = $this->_imapAdmin->removeMailbox($user . '@' . $domain);
        if (is_a($res, 'PEAR_Error')) {
            return $res;
        }

        return true;
    }

}
