<?php
/**
 * Copyright 2003-2005 Marko Djukic <marko@oblo.com>
 *
 * See the enclosed file LICENSE for license information (BSD). If you did not
 * receive this file, see http://cvs.horde.org/co.php/vilma/LICENSE.
 *
 * $Horde: vilma/lib/Vilma.php,v 1.10 2005/01/03 14:35:42 jan Exp $
 *
 * @author  Marko Djukic <marko@oblo.com>
 * @version $Revision: 1.10 $
 * @package Vilma
 */
class Vilma {

    function isDomainAdmin()
    {
        if (Auth::isAdmin()) {
            return false;
        }
        list($user, $domain) = explode('@', Auth::getAuth());
        return (Auth::getAuth() == $GLOBALS['vilma']->getDomainAdmin($domain));
    }

    function getDomain()
    {
        static $domain;

        if (!isset($domain)) {
            if (Auth::isAdmin()) {
                $domain = Util::getFormData('domain');
                if (empty($domain)) {
                    $domain_id = Util::getFormData('domain_id');
                    $domain_record = $GLOBALS['vilma']->getDomain($domain_id);
                    $domain = $domain_record['domain_name'];
                }
            } else {
                list($user, $domain) = explode('@', Auth::getAuth());
            }
        }

        return $domain;
    }

    function stripUser($email)
    {
        list($user, $domain) = explode('@', $email);
        return $user;
    }

    function stripDomain($email)
    {
        $parts = explode('@', $email);
        if (count($parts) == 2) {
            return $parts[1];
        }
        return null;
    }

    function &getMailboxDriver()
    {
        global $conf;

        require_once VILMA_BASE . '/lib/MailboxDriver.php';
        $driver = &MailboxDriver::singleton($conf['mailboxes']['driver'],
                                            $conf['mailboxes']['params']);
        return $driver;
    }

    /**
     * Build Vilma's list of menu items.
     *
     * @access public
     */
    function getMenu($returnType = 'object')
    {
        require_once 'Horde/Menu.php';

        $menu = &new Menu();

        if ($returnType == 'object') {
            return $menu;
        } else {
            return $menu->render();
        }
    }

}
