<?php
/**
 * Copyright 2003-2005 Marko Djukic <marko@oblo.com>
 *
 * See the enclosed file LICENSE for license information (BSD). If you did not
 * receive this file, see http://cvs.horde.org/co.php/vilma/LICENSE.
 *
 * $Horde: vilma/lib/base.php,v 1.19 2005/01/03 14:35:42 jan Exp $
 *
 * @author Marko Djukic <marko@oblo.com>
 * @version $Revision: 1.19 $
 * @package Vilma
 */

/* Check for a prior definition of HORDE_BASE (perhaps by an auto_prepend_file
 * definition for site customization). */
if (!defined('HORDE_BASE')) {
    @define('HORDE_BASE', dirname(__FILE__) . '/../..');
}

/* Load the Horde Framework core, and set up inclusion paths. */
require_once HORDE_BASE . '/lib/core.php';

/* Registry. */
$registry = &Registry::singleton();
if (is_a(($pushed = $registry->pushApp('vilma', !defined('AUTH_HANDLER'))), 'PEAR_Error')) {
    if ($pushed->getCode() == 'permission_denied') {
        Horde::authenticationFailureRedirect(); 
    }
    Horde::fatal($pushed, __FILE__, __LINE__, false);
}
$conf = &$GLOBALS['conf'];
@define('VILMA_TEMPLATES', $registry->get('templates'));

/* Find the base file path of Vilma */
@define('VILMA_BASE', dirname(__FILE__) . '/..');

/* Horde base libraries */
require_once 'Horde/Secret.php';

/* Vilma base library */
require_once VILMA_BASE . '/lib/Vilma.php';
require_once VILMA_BASE . '/lib/Driver.php';

/* Templates */
require_once 'Horde/Template.php';
$template = &new Horde_Template();

/* Notification system. */
$notification = &Notification::singleton();
$notification->attach('status');

/* Help */
require_once 'Horde/Help.php';

/* Vilma driver. */
$GLOBALS['vilma'] = &Vilma_Driver::singleton();
