<?php
/**
 * Copyright 2003-2005 Marko Djukic <marko@oblo.com>
 *
 * See the enclosed file LICENSE for license information (BSD). If you did not
 * receive this file, see http://cvs.horde.org/co.php/vilma/LICENSE.
 *
 * $Horde: vilma/users/index.php,v 1.16 2005/01/03 14:35:42 jan Exp $
 */

@define('VILMA_BASE', dirname(__FILE__) . '/..');
require_once VILMA_BASE . '/lib/base.php';

/* Only admin should be using this. */
if (!Auth::isAdmin() && !Vilma::isDomainAdmin()) {
    Horde::authenticationFailureRedirect();
}

$domain = Vilma::getDomain();
$users = $vilma->getUsers($domain);

foreach ($users as $id => $user) {
    $url = Horde::applicationUrl('users/edit.php');
    $users[$id]['edit_url'] = Util::addParameter($url, 'user_id', $user['user_id']);
    $url = Horde::applicationUrl('users/delete.php');
    $users[$id]['del_url'] = Util::addParameter($url, 'user_id', $user['user_id']);
    $url = Horde::applicationUrl('virtuals/index.php');
    $users[$id]['view_url'] = Util::addParameter($url, 'user', $user['user_name']);
    $users[$id]['user_mail_quota'] = $user['user_mail_quota'] / 1024 / 1024;
    $users[$id]['user_mail_quota'] .= ' MB';
    $users[$id]['user_status'] = $vilma->getUserStatus($user);
}

/* Set up the template action links. */
$actions = array();
if ($vilma->isBelowMaxUsers($domain)) {
    $url = Horde::applicationUrl('users/edit.php');
    $actions['new_url'] = (Vilma::isDomainAdmin() ? $url : Util::addParameter($url, 'domain', $domain));
    $actions['new_text'] = _("New User");
    $maxusers = '';
} else {
    $maxusers = _("Maximum Users");
}
$url = Horde::applicationUrl('virtuals/edit.php');
$actions['newv_url'] = (Vilma::isDomainAdmin() ? $url : Util::addParameter($url, 'domain', $domain));
$actions['newv_text'] = _("New Virtual Email");
$url = Horde::applicationUrl('virtuals/index.php');
$actions['allv_url'] = (Vilma::isDomainAdmin() ? $url : Util::addParameter($url, 'domain', $domain));
$actions['allv_text'] = _("All Virtual Emails");

/* Set up the template fields. */
$template->set('users', $users, true);
$template->set('actions', $actions);
$template->set('maxusers', $maxusers, true);
$template->set('menu', Vilma::getMenu('string'));
$template->set('notify', Util::bufferOutput(array($notification, 'notify'), array('listeners' => 'status')));

/* Set up the field list. */
$images = array('delete' => Horde::img('delete.png', _("Delete User"), '', $registry->getImageDir('horde')),
                'edit' => Horde::img('edit.png', _("Edit User"), '', $registry->getImageDir('horde')));
$template->set('images', $images);

/* Render the page. */
require VILMA_TEMPLATES . '/common-header.inc';
echo $template->fetch(VILMA_TEMPLATES . '/users/index.html');
require $registry->get('templates', 'horde') . '/common-footer.inc';
